# Memcached::touch

(PECL memcached >= 2.0.0)

Memcached::touch — Establecer una nueva expiración para un ítem

### Descripción

public Memcached::touch(string `$key`, int `$expiration`): bool

Memcached::touch() establece un nuevo valor de expiración para la clave dada.

### Parámetros

`key`

  La clave en la que se guardará el valor.

`expiration`

  Tiempo de expiración, que por defecto es 0. Ver Tiempos de expiración para más información.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. Emplee Memcached::getResultCode() si fuera necesario.

### Ver también

- Memcached::touchByKey() - Establecer una nueva expiración para un ítem de un servidor específico